<?php
if (1) {
    echo "int true\n";
}
if (0) {
    echo "int false\n";
}
if ("") {
    echo "empty string true\n";
} else {
    echo "empty string false\n";
}
if ("0") {
    echo "string zero true\n";
} else {
    echo "string zero false\n";
}
if ("hello") {
    echo "string true\n";
}
